NOWEB(1)

NAME
nodefs - find definitions in noweb file

SYNOPSIS
nodefs [-auto lang] [-showauto] file ...

DESCRIPTION
nodefs is an auxiliary tool that produces output for use with the -indexfrom option of noweave(1). nodefs searches a noweb file for identifier definitions, printing the identifiers on standard output, one per line. If the -auto lang option is given, nodefs tries to discover definitions automatically, assuming the program is written in language lang. The -showauto option displays permissible values of lang, which vary but may include tex or icon.

For a complete description of using nodefs together with noweave(1) and noindex(1), see the man page for noindex(1).

SEE ALSO
noweave(1), noweb(1), noindex(1)

VERSION
This man page is from noweb version 2.12.

AUTHOR
Norman Ramsey, Tufts University. Internet address Norman.Ramsey@tufts.edu.
Noweb home page at http://www.cs.tufts.edu/~nr/noweb.